

<div id="loading-progress-wrapper">
  <div class="black_bar_container"></div>

        <div class="shopify-section">
          <article id="section-page" class="site-box-container container--fullscreen box--can-stick">
              
                <div id="new-progress" class="splash-progress">
                
                      <div class="loading-progress-bar">
                          <div class="progressed_bar" id="progress-bar" style="width: 0%;" id="bar1"></div>
                      </div>
                
                      <div class="animWrapper">
                          <div id="loaderAnimation"></div>
                      </div>
                
                
        <!--         <video preload="auto" autoplay="false" id="loadingVideo" poster="" class="video-background" muted=""
                    playsinline="">
                    <source src="{{ 'loading_v2.mp4' | asset_url }}" type="video/mp4">
                </video> -->
                
              </div>
                    
          </article>
        </div>
        
  </div>
</div>

<script>
  var INTRO_COMPLETED = false;
  var INTRO_ANIM_DATA = "{{ 'variant-loader-data.json'  | asset_url  }}";
  console.log('-DOUBLE CHECK', INTRO_ANIM_DATA);
</script>
      
{{ 'videoReady.js'  | asset_url | script_tag     }}
{{ 'lottie.js'  | asset_url | script_tag     }}
{{ 'helpers.js'  | asset_url | script_tag     }}
{{ 'AnimEntryLogo.js'  | asset_url | script_tag     }}
{{ 'progressBar.js'  | asset_url | script_tag     }}

<style>

	#loading-progress-wrapper {
      position: fixed;
      /*width: 100%;*/
      height: 100vh;
      width: calc( 100% + 2px );
      height: calc( 100vh + 2px);
      margin:-1px;
      background-color: #000;
      transition: opacity 0.3s;
      top: 0px;
      z-index: 999999;
    }
  
    @-webkit-keyframes expand{
        0%{ height: 1350px}
        100%{height: 0}
    }
  
    .splash-progress {
        position: fixed;
        width: 100vw;
        height: 100vh;
        overflow: hidden;
        background: transparent;
        display: flex;
        justify-content: center;
        align-items: center;
      flex-direction: column;
    }
  
  	.splash-progress #loadingVideo{
     	width: 250px;
      height: auto;
      opacity: 0;
    }
  
  	#loaderAnimation{
            width: 250px;
            height: 75px;
            transform: translate3d(0,0,0);
            position: relative;
        }
  
  	#loaderAnimation svg{
            background-color: transparent !important;
            z-index: 1;
        }
  
    #loaderAnimation:before, #loaderAnimation:after{
      position: absolute;
      top: 0;
      width: 0%;
      height: 100%;
      content: "";
      background: #000;
      transition: width 1000ms;
      z-index: 3;
    }

    #loaderAnimation:before{
      left: 0;
    }

    #loaderAnimation:after{
      right: 0;
    }
  
     #loaderAnimation.end-entry-animation{
       opacity: 0;
       transition: opacity 600ms 750ms;
     }

    #loaderAnimation.end-entry-animation:before,
    #loaderAnimation.end-entry-animation:after{
      width: 50%;
    }
  
    @media(max-width: 768px){
      .splash-progress #loadingVideo{
          width: 200px; 
      }
      #loaderAnimation{
      	width: 200px;
        height: 60px;
      }
    }
 
  
    .splash-progress #loadingVideo.ready{
      opacity: 1;
      transition: 0.2s opacity;
    }
  
    .loading-progress-bar {
      margin-bottom: 10px;
      opacity: 1;
      transition: opacity 300ms;
      
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 15px;
    }
  
  @media(max-width: 768px){
  	.loading-progress-bar{
      
    }
  }
  
    .progressed_bar {
        height: 15px;
        background-color: #c7f8c8;
      width:0;
      opacity: 1;
      transition: width 50ms, opacity 300ms;
    }
  
  	#splash-progress img {
      margin-bottom: 10px; 
    }
  
.black_bar_container{
  position: absolute;
  left: 0px;
  top: 0px;
  height: 100%;
  /*width: 100%;*/
  width: calc( 100% + 2px );
  margin-left:-1px;
  overflow: hidden;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: end;
      -ms-flex-align: end;
          align-items: flex-end;
}
.black_bar{
  background-color: black;
  /*width: 5%;*/
  width: calc( 5% + 1px );
  height: 100%;
  float: left;
  
  -webkit-transform: height 0.7s;
  -webkit-transition: 
    -webkit-transform height 0.7s;
  -ms-transform: height 0.7s;
  -webkit-transition: height 0.7s;
  -o-transition: height 0.7s;
  transition: height 0.7s;
  
  border:none;
  padding:0px;
  /*margin:0px;*/
  margin-right:-1px;
}
.black_down{
  height:0%;
}
@-moz-document url-prefix() {
    .box_cover p {
        margin-top: 30px;
    }
}
  
</style>

<script>
  jQuery(document).ready(function () {
    //Initial Animation #2
    for(var i=0;i<20;i++){
      $(".black_bar_container").append('<div class="black_bar"></div>');
    }
    $("#loading-progress-wrapper").css("background-color","initial");

  });
</script>

{{ 'index_css.scss?v3' | asset_url | stylesheet_tag }}
  
  
{% section "variant_home_video" %}

{% section 'home_blog-posts' %}



  {{ 'custom.js'  | asset_url | script_tag     }}
  <script>
  
    $('#section-home_blog-posts .blog-item.img-right').each(function(){
    var hover_color = $(this).find('.article-color').css('background-color');
      $( this ).hover(
  function() {
    $( this ).addClass('hovered-here');
    $( this ).find('.content').css('background-color',hover_color);
  }, function() {
    $( this ).removeClass('hovered-here');
    $( this ).find('.content').css('background-color','#fff');
  }
);
    })
        
  </script>
  
<script>
  window.addEventListener('load', function(){
  	var iOS = !!navigator.platform && /iPad|iPhone|iPod/.test(navigator.platform);
    if(iOS){
    	document.body.classList.add('ios');
    }
  });
</script>

